Subject: bug#75910: 31; Deprecate minibuffer-completing-file-name

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Jan 2025 16:24:07 -0500

> I propose to deprecate `minibuffer-completing-file-name', since the
> completion category as part of the completion metadata acts as
> generalization for this variable. Similarly `minibuffer-completing-symbols'
> has been deprecated and removed a while ago.

+1

[ That's always been the intention behind the `category` property.  ]

        Stefan